aboutsummaryrefslogtreecommitdiffstats
path: root/testing/aaudit/aaudit-shell
diff options
context:
space:
mode:
Diffstat (limited to 'testing/aaudit/aaudit-shell')
-rwxr-xr-xtesting/aaudit/aaudit-shell14
1 files changed, 14 insertions, 0 deletions
diff --git a/testing/aaudit/aaudit-shell b/testing/aaudit/aaudit-shell
new file mode 100755
index 0000000000..73ebd2e7eb
--- /dev/null
+++ b/testing/aaudit/aaudit-shell
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+local ip="${SSH_CLIENT/ */}"
+local identity="$1"
+[ -z "$ip" -o -z "$identity" ] && exit 1
+
+set -- $SSH_ORIGINAL_COMMAND
+cmd="$1"
+shift
+
+case "$cmd" in
+create) /usr/libexec/aaudit/aaudit-repo-create -a "$ip" "$@" -i "$identity" ;;
+commit) /usr/libexec/aaudit/aaudit-repo-update -a "$ip" "$@" -i "$identity" ;;
+esac